Bug 798717 - The ksmtuned.service has no "retune" operation
The ksmtuned.service has no "retune" operation
Status: CLOSED NOTABUG
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Dan Kenigsberg
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 11:14 EST by Rami Vaknin
Modified: 2014-01-12 18:54 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-25 03:25:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rami Vaknin 2012-02-29 11:14:25 EST
Version:
vdsm-4.9.4-0.59.gitf01998b.fc16.x86_64

VDSM uses the retune operation of the ksmtuned service, while this operation does not exist in Fedora 16 systemd's ksmtuned.service

Thread-16093::DEBUG::2012-02-29 16:55:23,705::utils::601::Storage.Misc.excCmd::(execCmd) '/usr/bin/sudo -n /sbin/service ksmtuned retune' (cwd None)
Thread-16093::DEBUG::2012-02-29 16:55:23,746::utils::601::Storage.Misc.excCmd::(execCmd) FAILED: <err> = 'Unknown operation retune\n'; <rc> = 1
Comment 1 Dan Kenigsberg 2012-03-03 15:40:31 EST
I would say that this is a ksmtuned bug, not Vdsm's. Also, this may become redundant with MOM looming in http://gerrit.ovirt.org/2367
Comment 2 Rami Vaknin 2012-03-04 09:47:21 EST
Maybe.

Until it becomes redundant, note that the side effect of the above problem is more external commands that don't care that the "retune" operation failed:

"pgrep -xf ksmd"
"kill -9 process_id" - fails
Comment 3 Rami Vaknin 2012-03-05 04:40:29 EST
Please disregard my last comment, it's not related to this bug.
Comment 4 Andrew Jones 2013-01-21 09:38:05 EST
(In reply to comment #1)
> I would say that this is a ksmtuned bug, not Vdsm's. Also, this may become
> redundant with MOM looming in http://gerrit.ovirt.org/2367

Hmm, there is no 'retune' command for systemd controlled daemons. I see in /usr/lib/systemd/system/ksmtuned.service on my f17 machine that 'retune' has now been remapped to 'reload'. I believe the best solution is for VDSM to support both - switching commands depending on which interface (service or systemctl) is used for the system. Using 'service' to manage systemd scripts as is shown in comment 0 should be avoided as well.
Comment 5 Doron Fediuck 2013-07-25 03:25:13 EDT
Starting oVirt 3.3 vdsm will use mom and ksm without ksmtuned. See bug 987926.
Therefore this issue is no longer relevant, and closing as such.
Comment 6 Rami Vaknin 2013-07-25 04:48:39 EDT
OK. Any info requested from my side?
Comment 7 Doron Fediuck 2013-07-25 05:43:27 EDT
(In reply to Rami Vaknin from comment #6)
> OK. Any info requested from my side?

No info needed. Just wanted you to notice.

Note You need to log in before you can comment on or make changes to this bug.